/**
 * web端表格
 */
import React, { Component } from 'react'
import { Row, Col } from 'antd';
import TableCom from '../tableCompon/index';

export default class isNewWebTable extends Component {
    render() {
        const {
            items,
            checkAllHidden,
            isBorder,
            borderStyle,
            fatherCode,
            index,
            datas,
            isEdit,
            border,
            currentFormKey,
            init,
            get,
            obj,
            mapData,
            form,
            sqlData,
            defaultValues,
            width,
            routerState,
            messageData,
            formCode,
            formId,
            fatherObj,
            style,
            max,
        } = this.props
        return (
            <div
                style={{
                    overflow: "auto",
                    margin: "auto" ,
                    border: border?'1px solid #333':'',
                    ...style
                }}
                >
                {items.map((row, i) => {
                    const allhidden = checkAllHidden(row)
                    return <Row 
                            key={i}>

                        {row.map((cell, j) => {
                            let styles = {}
                            console.log(cell)
                            if (cell.content && cell.content.styles) {
                                try {
                                    styles = JSON.parse(cell.content.styles)
                                } catch (e) {
                                    console.log(`第${i}行第${j}列样式配置有误,${e}`)
                                }
                            }
                            return !allhidden && cell.hidden ?
                                ""
                                : <Col
                                    style={{
                                        minWidth:200
                                    }}
                                    span={6}
                                    key={j}
                                    style={{
                                        overflow: "auto",
                                        width: i == 0 ?
                                        ((cell.content != null && cell.content.cwidth != null ? cell.content.cwidth : width) * (cell.col ? cell.col : 1))
                                        : width * (cell.col ? cell.col : 1),
                                        textAlign: cell.content && cell.content.calign ? cell.content.calign : "left",
                                        ...isBorder ? (cell?.content?.comName == "InputHidden" || !cell?.content?.comName ? {} : borderStyle) : {},
                                        ...styles
                                    }} >

                                    <TableCom
                                        formCode={formCode} // 当前表单code
                                        formId={formId} // 当前表单Id
                                        i={i}  // 当前组件下标
                                        j={j}  // 当前行数下班
                                        fatherCode={fatherCode}
                                        index={index}
                                        fatherObj={fatherObj}
                                        datas={datas}
                                        uuid={cell.uuid}
                                        isEdit={isEdit}
                                        formKey={currentFormKey}
                                        init={init}
                                        get={get} // 区分移动端或wen端
                                        json={cell.content}
                                        obj={obj || {}} // 是否存在默认值
                                        mapData={mapData}
                                        form={form} // antd form控件
                                        sqlData={sqlData}
                                        defaultValues={defaultValues || {}} // 接口中的默认值
                                        routerState={routerState} // 兼容表单设计器路由传参
                                        messageData={messageData} // 场景设计器共享变量参数
                                    />
                                </Col>
                        }
                        )


                        }

                    </Row>

                })}
            </div>
        )
    }
}
